Installer.com Docs
POST
/api/v1/order/{orderId}/note

Add a plain-text note to an order. To attach files, upload them first via POST /v1/file/upload and pass the returned ids in fileIds.

AuthorizationBearer <token>

Installer.com auth token

In: header

Path Parameters

orderId*string
Formatuuid

Request Body

application/json

Create order note payload

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://api.installer.com/api/v1/order/497f6eca-6276-4993-bfeb-53cbbbba6f08/note" \  -H "Content-Type: application/json" \  -d '{    "content": "string"  }'
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "orderId": "b3e1eced-f2bd-4d8c-9765-fbc9d1d222d5",
  "content": "string",
  "fileIds": [
    "string"
  ],
  "isPublic": true,
  "createdAt": "2019-08-24T14:15:22Z"
}